	.nolist
#include <io.h>
	.list

	.text
	
start:
	mov #WDTPW+WDTHOLD, &WDTCTL
	mov #0x300,R1
	
	mov.b #(DCO0 | DCO1 | DCO2),&DCOCTL
	mov.b #(RSEL0 | RSEL1 | RSEL2),&BCSCTL1
	mov.b #SELM0,&BCSCTL2

	
	mov.b #0x00,&P1SEL
	bis.b #BIT0,&P1DIR
	
	clr r5
	clr r6
	mov #6,r7
onoff:
	mov.b r5,&P1OUT
again:
	inc r6
	jnc again
	dec r7
	jnz again
	mov #6,r7
	add #1,r5
	jmp onoff

noint:
	reti

	.data
	.word 0

	.section ".vectors", "ax"
InterruptVectors:	
	.rept 15
	.word noint
	.endr

	.word start
	.end start
